# $Id: tc_module.rb,v 1.1 2002/04/09 17:41:43 knu Exp $

require 'test/unit'
begin
  require 'features/ruby18/module'
rescue LoadError; end

class TC_Module < Test::Unit::TestCase
  def test_include?
    assert_raises(TypeError) { String.include?(:Comparable) }
    assert_raises(TypeError) { String.include?(String) }

    assert_equal(true, String.include?(Comparable))
    assert_equal(true, Array.include?(Enumerable))
    assert_equal(true, Hash.include?(Enumerable))
    assert_equal(false, Array.include?(Math))
  end
end
